./" @(#) picpath.l
.TH PICPATH L "May 6 1989"
.SH NAME
picpath
--will provide user with path information for given picture
.SH SYNOPSIS
.nf
.PP
.B picpath <pathinfo/picturename/data> or
.B picpath <pathinfo/picturename>
.B picpath <picturename>
.PP
.B e.g. "/u/pix/sun/foo/data" or "foo" or "/u/pix/sun/foo"
.fi
.SH DESCRIPTION
.PP

given a simple title, ("simple" meaning just a title, no path
specified), 
.I picpath 
will search through all possible paths to find the
corresponding picture data.

.PP

given a specific path name and a title,
.I picpath
 will search for the
picture in the specified path.  Should
.I picpath 
not find it there, it will search for it in the DAT files.

.PP

If the picture is found in either case,
.I picpath
returns the full path
in the variable "picturepath" and an integer corresponding to the form
of the picture data:
.PP 
.B 1 ==> a DAT file
.PP
.B 2 ==>
.I not 
a DAT file

.PP

If the picture is not found, the variable "picturepath" is set to a
default path listed in PICPATH, and the integer returned is 0 (zero).

.PP

An integer value of -1 is returned should there be any other error.

.PP

To run 
.I picpath,
you should have something along the lines of 'setenv
PICPATH ( /u/pix . /u/cm )' in your .cshrc file on the SUNs, and
perhaps 'setenv PICPATH ( /suns/u/pix /pix/suns . )' on the VAX.


